Subject: bug#74740: 31.0.50; tty menus not displaying separators

From: Eli Zaretskii <[email-masked]>
Date: Sun, 08 Dec 2024 20:33:41 +0200

> From: Gerd Möllmann <[email-masked]>
> Date: Sun, 08 Dec 2024 18:34:33 +0100
> 
> To see this, emacs -nw -q and open a menu from the menubar. Simple
> separators there are displayed as "--".

What did you expect instead?  I think this always worked like that on
TTY frames.

> More generally, all separator types are displayed as they appear in the
> menu item definition, '--double-line' as "--double-line" and so on.

What do you mean by that? where do we have such separators, and how do
you display the menus which show them?  I don't think I see them in
the default menu bar.